TypeTokenFilter (Lucene 10.5.0 common API)
Description: declaration: package: org.apache.lucene.analysis.core, class: TypeTokenFilter

Package org.apache.lucene.analysis.core

# Class TypeTokenFilter

java.lang.Object
org.apache.lucene.util.AttributeSource
org.apache.lucene.analysis.TokenStream
org.apache.lucene.analysis.TokenFilter
org.apache.lucene.analysis.FilteringTokenFilter
org.apache.lucene.analysis.core.TypeTokenFilter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

public final class TypeTokenFilter extends FilteringTokenFilter
Removes tokens whose types appear in a set of blocked types from a token stream.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

  `AttributeSource.State`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

  `input`

  ### Fields inherited from class org.apache.lucene.analysis.TokenStream

  `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeTokenFilter(TokenStream input, Set<String> stopTypes)`
  Create a new `TypeTokenFilter` that filters tokens out (useWhiteList=false).
  `TypeTokenFilter(TokenStream input, Set<String> stopTypes, boolean useWhiteList)`
  Create a new `TypeTokenFilter`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `accept()`
  By default accept the token if its type is not a stop type.

  ### Methods inherited from class org.apache.lucene.analysis.FilteringTokenFilter

  `end, incrementToken, reset`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

  `close, unwrap`

  ### Methods inherited from class org.apache.lucene.util.AttributeSource

  `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TypeTokenFilter

    public TypeTokenFilter(TokenStream input, Set<String> stopTypes, boolean useWhiteList)
    Create a new `TypeTokenFilter`.
    Parameters:
      `input` - the `TokenStream` to consume
      `stopTypes` - the types to filter
      `useWhiteList` - if true, then tokens whose type is in stopTypes will be kept, otherwise they will be filtered out

  - ### TypeTokenFilter

    public TypeTokenFilter(TokenStream input, Set<String> stopTypes)
    Create a new `TypeTokenFilter` that filters tokens out (useWhiteList=false).

- ## Method Details

  - ### accept

    protected boolean accept()
    By default accept the token if its type is not a stop type. When the useWhiteList parameter is set to true then accept the token if its type is contained in the stopTypes
    Specified by:
      `accept` in class `FilteringTokenFilter`